# Fetch approvals activity for a release

Endpoint: GET /rmg/api/release/{releaseId}/approvals
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `searchTerm` (string)
    Optional search string to filter releases by name.

  - `status` (array)

  - `page` (integer)

  - `size` (integer)

  - `sort` (array)
    Sort parameters as an array. Format: [field_name, direction] where direction is asc or desc.
Supported fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
When used in query params, use format: sort=field_name&sort=direction (e.g., sort=start_ts&sort=desc).

## Path parameters:

  - `releaseId` (string, required)

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.orgIdentifier` (string, required)

  - `content.projectIdentifier` (string, required)

  - `content.pipelineIdentifier` (string, required)

  - `content.planExecutionId` (string, required)

  - `content.name` (string, required)

  - `content.runSequenceId` (integer, required)

  - `content.status` (string, required)
    Status of the stage.
    Enum: "ABORTED", "OUTPUT_WAITING", "ASYNC_WAITING", "APPROVAL_REJECTED", "APPROVAL_WAITING", "DISCONTINUING", "ERROR", "ERRORED", "EXPIRED", "FAILED", "FREEZE_FAILED", "IGNORE_FAILED", "INPUT_WAITING", "INTERVENTION_WAITING", "QUEUED", "REJECTED", "RESUMED", "RUNNING", "SCHEDULED", "SKIPPED", "STARTING", "STARTING_QUEUED_STEP", "SUCCESS", "SUCCEEDED", "SUSPENDED", "TIMED_WAITING", "TASK_WAITING", "UPLOAD_WAITING", "WAIT_STEP_RUNNING", "WAITING", "ON_HOLD"

  - `content.type` (string, required)
    Type of the step (e.g., Approval, JiraUpdate, JiraCreate, JiraApproval).
    Enum: "HarnessApproval", "JiraApproval"

  - `content.approvalInfo` (object)

  - `content.approvalInfo.approvedBy` (object, required)

  - `content.approvalInfo.approvedBy.name` (string)
    Name of the person who approved the step.

  - `content.approvalInfo.approvedBy.email` (string, required)
    Email of the person who approved the step.

  - `content.approvalInfo.approvedAt` (integer, required)
    Timestamp of the approval.

  - `content.approvalInfo.comments` (string)
    Comments provided during the approval.

  - `pageable` (object, required)

  - `pageable.pageNumber` (integer)

  - `pageable.pageSize` (integer)

  - `pageable.sort` (object)

  - `pageable.sort.empty` (boolean)

  - `pageable.sort.sorted` (boolean)

  - `pageable.sort.unsorted` (boolean)

  - `pageable.offset` (integer)

  - `pageable.paged` (boolean)

  - `pageable.unpaged` (boolean)

  - `totalPages` (integer, required)

  - `last` (boolean, required)

  - `totalElements` (integer, required)

  - `size` (integer, required)

  - `number` (integer, required)

  - `sort` (object, required)

  - `numberOfElements` (integer, required)

  - `first` (boolean, required)

  - `empty` (boolean, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


